Subject: bug#77727: [PATCH] Limit rust-ts-specific comment-start check to rust-ts (bug#77727)

From: Konstantin Kharlamov <[email-masked]>
Date: Thu, 17 Apr 2025 14:09:54 +0300

On Thu, 2025-04-17 at 13:53 +0300, Eli Zaretskii wrote:
> > From: Konstantin Kharlamov <[email-masked]>
> > Cc: [email-masked], [email-masked]
> > Date: Thu, 17 Apr 2025 11:19:37 +0300
> > 
> > On Thu, 2025-04-17 at 10:37 +0300, Eli Zaretskii wrote:
> > > >     λ emacs -Q
> > > >     Loading loadup.el (source)...
> > > >     Dump mode: nil
> > > >     Using load-path (/usr/share/emacs/31.0.50/lisp
> > > > /usr/share/emacs/31.0.50/lisp/emacs-lisp
> > > > /usr/share/emacs/31.0.50/lisp/progmodes
> > > > /usr/share/emacs/31.0.50/lisp/language
> > > > /usr/share/emacs/31.0.50/lisp/international
> > > > /usr/share/emacs/31.0.50/lisp/textmodes
> > > > /usr/share/emacs/31.0.50/lisp/vc)
> > > >     Loading emacs-lisp/debug-early...
> > > >     Symbol's function definition is void: file-name-sans-
> > > > extension
> > > > 
> > > > I tried jumping down between some commits and rebuilding, but
> > > > it
> > > > doesn't go away.
> > > 
> > > It looks like you invoke an installed Emacs?  IOW, did you say
> > > "make
> > > install" after patching or updating from Git?  And did you make
> > > sure
> > > the .pdmp pdumper file is updated by that?  The above seems to
> > > indicate that Emacs cannot find the pdumper file for some reason.
> > 
> > Yep, it's an installed Emacs.
> > 
> > I am not sure what do you mean by `.pdmp` file, I never touched
> > them.
> 
> Rebuilding Emacs produces a new .pdmp file, which the previous binary
> will not load (because it doesn't fit it).  When you rebuild Emacs,
> you need to invoke "make install" afterwards, to install the Emacs
> binary and the auxiliary files, including the new .pdmp file, in the
> place where Emacs expects to find it.  Did you run "make install"
> after rebuilding?

Yes, it's being run as `make DESTDIR="$pkgdir/" install`

> > I
> > see the resulting package has file /usr/lib/emacs/31.0.50/x86_64-
> > pc-
> > linux-gnu/emacs-
> > 8dc71cdb3ec816249f8467e350dff31faabf46305805586b479fc8f3412dbdbb.pd
> > mp,
> > am I supposed to do something about it…? I looked through PKGBUILD
> > (a
> > popular script used to assemble emacs from git as an Archlinux
> > package), and there's no mention of pdmp, so… Neither me, nor the
> > script ever touched this file, well, not directly at least.
> 
> "make install" does what needs to be done with the .pdmp file: copies
> it to the correct directory under the correct name.

Okay, so I just tried doing a `find -type f -name "*.pdmp" -delete`,
and then rebuilding Emacs (to make sure no pdmp files are stale), then
assembled/installed package. I see the file ends up is at

/usr/lib/emacs/31.0.50/x86_64-pc-linux-gnu/emacs-
e58067db04d41ca123ffe4ddc2ed9d0ebdef685b08d89c87b01125fbfd437df5.pdmp

This is same location as for the "working" Emacs build:

/usr/lib/emacs/31.0.50/x86_64-pc-linux-gnu/emacs-
37634abbce82a9c44ab59298a6ed926eb3396ac970e12cc2c2798d93deb8eee8.pdmp

> > Before I wrote this email I also tried doing a `make bootstrap` to
> > make
> > sure there's no older artifacts that could cause it, but resulting
> > Emacs still produces same errors.
> 
> If you run Emacs from the src directory of the build tree, does it
> work?

Yes, if I run it as `./build/src/emacs -Q`, it does work. So apparently
it's something to do with installation… But I'm not doing anything odd,
it's plain old `make install` with DESTDIR set, used it for years…